import { BollingerBands, Candle } from "../types/types_ohlc";
export declare const compute_adx: (ohlc_data: Candle[], period: number) => number[];
export declare const compute_macd: (data: number[], short_period?: number, long_period?: number, signal_period?: number) => {
    macd: number[];
    signal_line: number[];
};
export declare const compute_obv: (data: Candle[]) => number[];
export declare const compute_alligator: (ohlc_data: Candle[], jaw_period: number, teeth_period: number, lips_period: number) => {
    jaw: number[];
    teeth: number[];
    lips: number[];
};
export declare const compute_rsi: (data: number[], period?: number) => number[];
export declare const compute_bollinger_bands: (data: Candle[], period?: number, multiplier?: number) => BollingerBands;
